pipeline {
    agent any
    triggers { pollSCM('H * * * 1-5') }
    options { disableConcurrentBuilds() }
    stages {
        stage('Test') {
            steps {
                withEnv(["PATH=${tool 'Maven'}/bin:${env.PATH}"]){
                    sh 'mvn clean install'
                }
            }
            post {
                always {
                  junit 'target/surefire-reports/*.xml'
                }
            }
          
        }
    }
    post {
        always {
          mail to: 'm.dove@treeptik.fr',
          subject: "Pipeline ${currentBuild.fullDisplayName} finished",
          body: "The pipeline finished (${env.BUILD_URL})"
        }
        success { echo 'I succeeded! 🎉' }
        unstable { echo 'I am unstable 😟' }
        failure { echo 'I failed 😢' }
        changed { echo 'Things were different before...' }
    }
}
